### Method

# Gtk TreeViewset_cursor

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_cursor (
      GtkTreeView* tree_view,
      GtkTreePath* path,
      GtkTreeViewColumn* focus_column,
      gboolean start_editing
    )

#### Description [src]

Sets the current keyboard focus to be at `path`, and selects it. This is useful when you want to focus the user’s attention on a particular row. If `focus_column` is not `NULL`, then focus is given to the column specified by it. Additionally, if `focus_column` is specified, and `start_editing` is `TRUE`, then editing should be started in the specified cell. This function is often followed by `gtk_widget_grab_focus` (`tree_view`) in order to give keyboard focus to the widget. Please note that editing can only happen when the widget is realized.

If `path` is invalid for `model`, the current cursor (if any) will be unset and the function will return without failing.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath`

  The data is owned by the caller of the method.

`focus_column`

  Type: `GtkTreeViewColumn`

  A `GtkTreeViewColumn`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`start_editing`

  Type: `gboolean`

  `TRUE` if the specified cell should start being edited.